Skip to main content
GET
/
open-api
/
checkout
/
order
/
{orderId}
Obter pedido
curl --request GET \
  --url https://api.mginex.com/open-api/checkout/order/{orderId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "PENDING",
    "customer": {
      "email": "[email protected]",
      "name": "<string>"
    },
    "items": [
      {
        "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "productTitle": "<string>",
        "quantity": 123,
        "price": 123
      }
    ],
    "pricing": {
      "subtotal": 123,
      "discount": 123,
      "total": 123
    },
    "paymentMethod": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Token de API gerado no painel da Mginex em Configurações > Open API

Path Parameters

orderId
string<uuid>
required

ID do pedido

Response

200 - application/json

Detalhes do pedido

success
boolean
data
object